Permalink
Browse files

Some support files

  • Loading branch information...
1 parent eb0f1e7 commit 9e707f514933c903a457e2c96198123c4f8fe9a0 @jnicklas committed Jul 31, 2010
Showing with 74 additions and 1 deletion.
  1. +2 −1 .gitignore
  2. +3 −0 Gemfile
  3. +20 −0 Gemfile.lock
  4. 0 README.rdoc
  5. +15 −0 Rakefile
  6. +3 −0 lib/xpath/version.rb
  7. +3 −0 spec/spec_helper.rb
  8. +28 −0 xpath.gemspec
View
@@ -1 +1,2 @@
-.rvmrc
+.rvmrc
+.bundle
View
@@ -0,0 +1,3 @@
+source :gemcutter
+
+gemspec
View
@@ -0,0 +1,20 @@
+PATH
+ remote: .
+ specs:
+ xpath (0.0.1)
+
+GEM
+ remote: http://rubygems.org/
+ specs:
+ nokogiri (1.4.3.1)
+ rspec (1.3.0)
+ yard (0.5.8)
+
+PLATFORMS
+ ruby
+
+DEPENDENCIES
+ nokogiri (>= 1.3.3)
+ rspec (>= 1.2.9)
+ xpath!
+ yard (>= 0.5.8)
View
No changes.
View
@@ -0,0 +1,15 @@
+require 'rubygems'
+require 'spec/rake/spectask'
+require 'yard'
+
+desc "Run all examples"
+Spec::Rake::SpecTask.new('spec') do |t|
+ t.spec_files = FileList['spec/**/*.rb']
+end
+
+YARD::Rake::YardocTask.new do |t|
+ t.files = ['lib/**/*.rb', 'README.rdoc']
+ #t.options = ['--any', '--extra', '--opts'] # optional
+end
+
+task :default => :spec
@@ -0,0 +1,3 @@
+module XPath
+ VERSION = '0.0.1'
+end
View
@@ -1 +1,4 @@
+require 'rubygems'
+require 'bundler/setup'
+
require 'xpath'
View
@@ -0,0 +1,28 @@
+# -*- encoding: utf-8 -*-
+lib = File.expand_path('../lib/', __FILE__)
+$:.unshift lib unless $:.include?(lib)
+
+require 'xpath/version'
+
+Gem::Specification.new do |s|
+ s.name = "xpath"
+ s.rubyforge_project = "xpath"
+ s.version = XPath::VERSION
+
+ s.authors = ["Jonas Nicklas"]
+ s.email = ["jonas.nicklas@gmail.com"]
+ s.description = "XPath is a Ruby DSL for generating XPath expressions"
+
+ s.files = Dir.glob("{lib,spec}/**/*") + %w(README.rdoc History.txt)
+ s.extra_rdoc_files = ["README.rdoc"]
+
+ s.homepage = "http://github.com/jnicklas/xpath"
+ s.rdoc_options = ["--main", "README.rdoc"]
+ s.require_paths = ["lib"]
+ s.rubygems_version = "1.3.6"
+ s.summary = "Generate XPath expressions from Ruby"
+
+ s.add_development_dependency("rspec", [">= 1.2.9"])
+ s.add_development_dependency("nokogiri", [">= 1.3.3"])
+ s.add_development_dependency("yard", [">= 0.5.8"])
+end

0 comments on commit 9e707f5

Please sign in to comment.